#ifndef XFS_LINUX_NAMEI
#define XFS_LINUX_NAMEI

struct componentname {
  /*
   * Arguments to lookup.
   */
  u_long  cn_nameiop;     /* namei operation */
  u_long  cn_flags;       /* flags to namei */
  struct  proc *cn_proc;  /* process requesting lookup */
  struct  ucred *cn_cred; /* credentials */
  /*
   * Shared between lookup and commit routines.
   */
  char    *cn_pnbuf;      /* pathname buffer */
  char    *cn_nameptr;    /* pointer to looked up name */
  long    cn_namelen;     /* length of looked up component */
  u_long  cn_hash;        /* hash value of looked up name */
  long    cn_consume;     /* chars to consume in lookup() */
} ni_cnd;

#endif
